%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-monocle
Version:    1.1.51
Release:    3%{?dist}
Summary:    A tool for watching directories for file changes
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/samccone/monocle
Source0:    http://registry.npmjs.org/monocle/-/monocle-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-00ccc2a0454058f0cd1964d0703d8322f78af049.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(readdirp)
%endif

%description
%{summary}.


%prep
%setup -q -n package
find . -type f -exec chmod -x '{}' \;
%setup -q -T -D -a 1 -n package

%nodejs_fixdep readdirp '~0.3'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/monocle
cp -pr package.json monocle.js \
    %{buildroot}%{nodejs_sitelib}/monocle

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha test -R spec -t 2000
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/monocle


%changelog
* Tue Jul 29 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.51-3
- disable tests to avoid dep loop
  (mocha BRs nodejs-jade which requires nodejs-monocle which BRs mocha)

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.51-2
- fix version of npm(readdirp) dependency

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.51-1
- initial package
